Name: libcdio
Version: 0.79
Release: alt2

%def_disable static

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: CD-ROM/CD-image access library
License: GPL
Group: System/Libraries
Url: http://www.gnu.org/software/%name/

Source: http://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2
Patch1: libcdio-0.79-fix-gcc43-ftbfs.patch

Requires(post): %install_info
Requires(preun): %uninstall_info

# Automatically added by buildreq on Mon May 29 2006
BuildRequires: gcc-c++ libncurses-devel pkg-config help2man

BuildRequires: libcddb-devel >= 1.3.0-alt1

# Only used for testing, which we don't run now
#BuildRequires: cdparanoia

BuildRequires: linux-libc-headers

%description
This library is to encapsulate CD-ROM reading and control. Applications
wishing to be oblivious of the OS- and device-dependant properties of a
CD-ROM can use this library.

%package -n libcdio++
Summary: C++ wrappers to the CD-ROM/CD-image access library
Group: System/Libraries
Requires: %name = %version-%release

%description -n libcdio++
These C++ libraries provide object-oriented wrappers to the libcdio APIs.

%package devel
Summary: %name development files
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides %name development files.

%package -n libcdio++-devel
Summary: Development files for libcdio C++ wrappers
Group: Development/C++
Requires: libcdio++ = %version-%release
Requires: %name-devel = %version-%release

%description -n libcdio++-devel
This package provides development files for C++ wrappers to libcdio APIs.

%package devel-static
Summary: Static version of %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provides library that may be used to develop applications
statically linked against %name.

%package utils
Summary: A simple utilities which read and displayings CD info. 
Group: File tools
Requires: %name = %version-%release

%description utils
This package provides simple utilities which read and displayings CD
info. 

%prep
%setup -q

%patch1 -p1

# hack to fix version-script generation
#%__sed -i 's|\(\$(patsubst %%\.lo,%%\.o,\)\(\$(lib.*_la_OBJECTS))\)|\1$(patsubst %%,.libs/%%,\2)|' lib/Makefile*

bzip2 -9k ChangeLog

%build

# Required cause we make some changes in Makefiles.am
%__autoreconf

export OLD_CDPARANOIA=%_bindir/cdparanoia

%configure \
    --disable-vcd-info \
    %{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

# build actual man pages for cd-read, cd-info
export LD_LIBRARY_PATH=%buildroot%_libdir

help2man -N --name="is a command-line tool to control CD" \
--manual="CDIO Library" \
src/.libs/cd-read > %buildroot%_man1dir/cd-read.1

help2man -N --name="is a command-line tool which displays CD info" \
--manual="CDIO Library" \
src/.libs/cd-info > %buildroot%_man1dir/cd-info.1

# remove non-packaged files
%__rm -f %buildroot%_infodir/dir

%find_lang --with-man --output=manutils.list cd-info cd-read cd-paranoia

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info %name.info
%postun devel
%uninstall_info %name.info

%files
%_libdir/*.so.*
%exclude %_libdir/*++.so.*
%doc AUTHORS ChangeLog.bz2 README NEWS THANKS TODO

%files -n libcdio++
%_libdir/*++.so.*

%files devel
%_includedir/cdio
%_libdir/*.so
%exclude %_libdir/*++.so
%_libdir/pkgconfig/*
%_infodir/*.info*

%files -n libcdio++-devel
%_includedir/cdio++
%_libdir/*++.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files utils -f manutils.list
%_bindir/*

%changelog
* Mon Oct 27 2008 Pavlov Konstantin <thresh@altlinux.ru> 0.79-alt2
- Fix FTBFS with gcc 4.3.

* Tue Dec 04 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.79-alt1
- 0.79.

* Tue Nov 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.78.2-alt1
- 0.78.2.

* Sun Oct 29 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.78.1-alt1
- 0.78.1.
- Merge patches into source tree.

* Thu Oct 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.77-alt1
- Rebuild with newer libcddb.

* Tue May 30 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.77-alt0.2
- Added help2man to buildrequires.
- linux-libc-headers.

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.77-alt0.1
- Release 0.77
- Patch0: corrected interlibrary linkage issues
- Patch1 retired, not needed now
- Added packages for the C++ libraries
- Disable vcd to break a circular build dependency
- Do not test for cdparanoia during configure
- Buildreq

* Tue Mar 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.76-alt3
- Fixed build (linking with -lm).
- Building with libcddb & libvcd.

* Fri Feb 03 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.76-alt2
- Compressed ChangeLog (fixes #8972).

* Wed Nov 30 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.76-alt1
- 0.76 release.
- Fixed some errors in spec.

* Tue Jul 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.74-alt1
- 0.74

* Thu Jul 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.69-alt1
- 0.69

* Tue Jan 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.65-alt1
- First build for Sisyphus.
